{
  "name": "{{ agave.appsPrefix }}-vcfr-gf2",
  "version": "0.4",
  "label": "VCF data visualization in R",
  "defaultNodeCount": 1,
  "defaultMemoryPerNode": 1,
  "defaultProcessorsPerNode": 1,
  "executionType": "HPC",
  "parallelism": "SERIAL",
  "checkpointable": false,
  "executionSystem": "{{ agave.executionSystem }}",
  "deploymentPath": "{{ agave.appsDir }}/vcfr-gf2-0.4",
  "deploymentSystem": "{{ agave.deploymentSystem }}",
  "templatePath": "vcfr-gf2.sh",
  "testPath": "test/test.sh",
  "inputs": [
    { "id": "input_vcf",
      "value": {
        "required": true,
        "default": ""
      }
    },
    { "id": "input_fa",
      "value": {
        "required": true,
        "default": ""
      }
    }
  ],
  "parameters": [
    { "id": "output",
      "value": {
        "required": true,
        "type": "string"
      }
    },
    { "id": "min_qual",
      "value": {
        "required": false,
        "type": "number"
      }
    },
    { "id": "min_DP",
      "value": {
        "required": false,
        "type": "number"
      }
    },
    { "id": "max_DP",
      "value": {
        "required": false,
        "type": "number"
      }
    },
    { "id": "min_MQ",
      "value": {
        "required": false,
        "type": "number"
      }
    },
    { "id": "max_MQ",
      "value": {
        "required": false,
        "type": "number"
      }
    },
    { "id": "exec_method",
      "value": {
        "required": true,
        "default": "auto",
        "type": "string"
      }
    },
    { "id": "exec_init",
      "value": {
        "required": true,
        "default": "",
        "type": "string"
      }
    }
  ]
}